#!/system/bin/sh
if [ ! -e /data/update_recovery ]; then
  if applypatch -c MTD:recovery:2048:3c8c5f3c1965f2d9965ecd4351bcd2d9ce398a2f; then
    log -t recovery "Recovery image already installed"
    exit 0
  fi
fi

log -t recovery "Installing new recovery image"
echo start > /data/update_recovery
sync
if applypatch MTD:boot:8388608:033c2ce09e8394196342a14b1a55bcc091786960 MTD:recovery 5744ffe714c824b28452a3344d4ecb14c997d832 8388608 033c2ce09e8394196342a14b1a55bcc091786960:/system/recovery-from-boot.p; then
  rm /data/update_recovery
fi
